# Create user assignment settings

Endpoint: POST /userAssignmentSettings
Version: 3.0.0
Security: bearerAuth, apiKeyAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer Token

  - `apiKeyAuth` (unknown)
    apiKey in header Key

## Request fields (application/json):

  - `userId` (string)
    User Id

  - `skillVsProficiency` (object)
    Skill Level Proficiencies to add or update

  - `skillsToRemove` (array)
    User's skill proficiencies to remove

  - `capacityConfigId` (string)
    User's capacity configuration id

  - `timeZone` (object)
    User's Time Zone to Set

  - `timeZone.timeZone` (string)
    Time Zone

  - `timeZone.country` (string)
    Country

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `userId` (string)
    User Id

  - `capacities` (array)
    User's Capacities

  - `capacities.id` (string)
    Capacity Id

  - `capacities.capacity` (integer)
    Work Assignment Capacity

  - `capacities.activeConversationCapacity` (integer)
    Active Work Conversation Capacity

  - `proficiencies` (object)
    User's Proficiencies in different Skill, Channel and Language

  - `proficiencies.skillVsProficiency` (object)
    Skill Level Proficiencies for user

  - `proficiencies.languageVsProficiency` (object)
    Language Proficiencies for user

  - `proficiencies.channelVsProficiency` (object)
    Channel Level Proficiencies for user

  - `capacityConfigId` (string)
    User's Capacity Config Id

  - `capacityConfigName` (string)
    User's Capacity Config Name

  - `timeZone` (object)
    User's Time Zone

  - `timeZone.timeZone` (string)
    Time Zone

  - `timeZone.country` (string)
    Country

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 401:

  - `401` (unknown)
    Missing or invalid authentication

## Response 401 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 403:

  - `403` (unknown)
    Insufficient permissions

## Response 403 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

